in scala.xml
object Parsing

`object` Parsing
  `extends` java.lang.Object
  `with` scala.ScalaObject

  DEPRECATED - use either parsing.TokenTests, or Utilty (helper functions for parsing XML fragments ).

Constructor Summary
| `def` this

Def Summary
| `def` checkPubID ( s : java.lang.String ) : scala.Boolean
| `def` checkSysID ( s : java.lang.String ) : scala.Boolean
| `def` isName ( s : java.lang.String ) : scala.Boolean Name ::= ( Letter | '_' ) (NameChar) see [5] of XML 1.0 specification
| `def` isNameChar ( ch : scala.Char ) : scala.Boolean NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender see [4] and Appendix B of XML 1.0 specification
| `def` isNameStart ( ch : scala.Char ) : scala.Boolean NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl } We do not allow a name to start with ':'. see [3] and Appendix B of XML 1.0 specification
| `def` isPubIDChar ( c : scala.Char ) : scala.Boolean
`final` | `def` isSpace ( ch : scala.Char ) : scala.Boolean (#x20 | #x9 | #xD | #xA)
`final` | `def` isSpace ( cs : scala.Seq[scala.Char] ) : scala.Boolean (#x20 | #x9 | #xD | #xA)+

Constructor Detail

`def` this

Def Detail

`def` checkPubID ( s : java.lang.String ) : scala.Boolean

`def` checkSysID ( s : java.lang.String ) : scala.Boolean

`def` isName ( s : java.lang.String ) : scala.Boolean

  Name ::= ( Letter | '_' ) (NameChar) see [5] of XML 1.0 specification

`def` isNameChar ( ch : scala.Char ) : scala.Boolean

  NameChar ::= Letter | Digit | '.' | '-' | '_' | ':' | CombiningChar | Extender see [4] and Appendix B of XML 1.0 specification

`def` isNameStart ( ch : scala.Char ) : scala.Boolean

  NameStart ::= ( Letter | '_' ) where Letter means in one of the Unicode general categories { Ll, Lu, Lo, Lt, Nl } We do not allow a name to start with ':'. see [3] and Appendix B of XML 1.0 specification

`def` isPubIDChar ( c : scala.Char ) : scala.Boolean

final `def` isSpace ( ch : scala.Char ) : scala.Boolean

  (#x20 | #x9 | #xD | #xA)

final `def` isSpace ( cs : scala.Seq[scala.Char] ) : scala.Boolean

  (#x20 | #x9 | #xD | #xA)+